GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/namespace.c File Reference
`#include "defs.h"`
`#include "namespace.h"`

Go to the source code of this file.

## Functions
void | add_using_directive (struct using_direct **using_directives, const char *dest, const char *src, const char *alias, const char *declaration, const std::vector< const char *> &excludes, int copy_names, struct obstack *obstack)

## Function Documentation

## ◆ add_using_directive()

void add_using_directive | ( | struct using_direct ** | using_directives,
|  | const char * | dest,
|  | const char * | src,
|  | const char * | alias,
|  | const char * | declaration,
|  | const std::vector< const char *> & | excludes,
|  | int | copy_names,
|  | struct obstack * | obstack
| ) |  |

Definition at line 37 of file namespace.c.

References using_direct::alias, alias, using_direct::declaration, using_direct::excludes, using_direct::import_dest, using_direct::import_src, memset(), using_direct::next, and using_directives().

Referenced by cp_scan_for_anonymous_namespaces(), read_import_statement(), and read_namespace().